equal_range
Prev | Chapter 5. Db_map | Next

## equal_range

### Function Details

    equal_range(const key_type &x) const

Find the range within which all keys equal to specified key x.

#### Parameters

##### x

The target key to find.

#### Return Value

The range [first, last).

#### See Also

http://www.cplusplus.com/reference/stl/map/equal_range/

    equal_range(const key_type &x,
        bool readonly=false)

Find the range within which all keys equal to specified key x.

#### Parameters

##### x

The target key to find.

##### readonly

Whether the returned iterator is readonly.

#### Return Value

The range [first, last).

#### See Also

http://www.cplusplus.com/reference/stl/map/equal_range/

### Group: Searching Functions

The following functions are returning iterators, and they by default return read-write iterators.

If you intend to use the returned iterator only to read, you should call the const version of each function using a const reference to this container. Using const iterators can potentially promote concurrency a lot. You can also set the readonly parameter to each non-const version of the functions to true if you don't use the returned iterator to write, which also promotes concurrency and overall performance.

### Class

db_map

Prev | Up | Next
lower_bound | Home | count